@echo off

rem $Id: singlestartup.bat,v 1.3 2015/12/28 09:03:46 navin.rathinasamy Exp $

if [%1] == [] goto END_USAGE

cd /d %1

call .\setcommonenv.bat

set PATH=%PATH%;"%SERVER_HOME%\lib\native"

SET JAVA="%JAVA_HOME%\bin\java"

set JAVA_OPTS= -Xmx512m -Dcatalina.home="%SERVER_HOME%" -Dserver.home="%SERVER_HOME%" -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.util.logging.config.file="%SERVER_HOME%\conf\logging.properties"  -Dlog.dir="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -Djava.library.path="%SERVER_HOME%\lib\native" -Duser.language="en" -Dfile.encoding="utf8" -Dorg.apache.catalina.SESSION_COOKIE_NAME=JSESSIONIDADS

set CLASS_PATH=%SERVER_HOME%\lib\AdvCoreLogging.jar;%SERVER_HOME%\lib\ManageEngineADSFramework.jar;%SERVER_HOME%\lib\ManageEngineADSServer.jar;%SERVER_HOME%\lib\ManageEngineADSStartup.jar;%SERVER_HOME%\lib\ManageEngineADSFStartup.jar;%SERVER_HOME%\lib\AdvPersistence.jar;%SERVER_HOME%\lib\jboss-j2ee.jar;%SERVER_HOME%\lib\jboss-jca.jar;%SERVER_HOME%\lib\jboss-compressed.jar;%SERVER_HOME%\lib\jboss-common-jdbc-wrapper.jar;%SERVER_HOME%\lib\concurrent.jar;%SERVER_HOME%\lib\jboss-transaction.jar;%SERVER_HOME%\lib\AdventNetADSMServer.jar;%SERVER_HOME%\lib\mysql_connector.jar;%SERVER_HOME%\lib\mickey3.jar;%SERVER_HOME%\lib\AdvMicroFramework.jar;%SERVER_HOME%\lib\AdvAuthorization.jar;%SERVER_HOME%\bin\run.jar;%SERVER_HOME%\lib\json.jar;%SERVER_HOME%\lib\tomcat\tomcat-juli.jar;%SERVER_HOME%\lib\framework-tools.jar;%SERVER_HOME%\lib\postgresql_jdbc3.jar;%SERVER_HOME%\lib\mysql_connector.jar;%SERVER_HOME%\lib\jtds-1.2.4.jar;%SERVER_HOME%\lib\AdvTaskEngine.jar;

if [%2] == [] goto END_USAGE

%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.manageengine.ads.startup.actions.SingleStartUp %2

goto END

:END_USAGE

echo Usage SingleStartUp.bat executionLocation integratedProductList

:END