/*
  $Id: NTLMSSOSettings.js,v 1.15 2016/04/26 13:06:06 ramya.ravi Exp $
  */

var $option = "#computerProperties0"; // NO I18N
var ntlmDivLoaded = false;
var NTLMSSOSettings = function() {
}
NTLMSSOSettings.hideStatusDiv = function()
{
		$("#ntlm_loading").hide();
		$("#success_status").hide();
		$("#error_status").hide();
		$("#error_status").hide();
}

NTLMSSOSettings.constructMessage = function(type,message)
{
	var result = "";
	var errorIcon = "<div class=\"adsflLeft adsfailureSmallIcon\"></div>"; // NO I18N
	var successIcon = "<div class=\"adsflLeft adssuccessSmallIcon\"></div>"; // NO I18N 
	var divToHide = "";
	if(type=="error")
	{
		result = result + errorIcon;
		divToHide = "error_status"; // NO I18N
	}
	else
	{
		result = result + successIcon;
		divToHide = "success_status"; // NO I18N
	}
	result = result + "<div class='adsf1Left'>"+message+"<div class='adsflRight adspopupDivClose' onclick='javascript:$("+divToHide+").hide();'></div></div>"
	return result;
}
NTLMSSOSettings.checkStatus = function()
{
	
	if(document.getElementById('NTLM').value == "false")
	{
		document.getElementById('ntlmScrollBar').style.display = "none";
	}
	else if(document.getElementById('NTLM').value == "true")
	{
		document.getElementById('ntlmScrollBar').style.display = "block";

	}
}
NTLMSSOSettings.toggleAdvancedSettings = function()
{
	
	if(document.getElementById('ntlmAdvLin').className == "adsflRight ntlmAdOpt ntlmHide")
	{ 
		document.getElementById('ntlmAdvLin').className = "adsflRight ntlmAdOpt ntlmShow";
		document.getElementById('ntlmAdvOpt').style.display = "block";
		$('#ntlmAdvLin').parent().toggleClass('ntlmTxtAli ntlmTxtAliminus');
	}
	else if(document.getElementById('ntlmAdvLin').className == "adsflRight ntlmAdOpt ntlmShow")
	{
		document.getElementById('ntlmAdvLin').className = "adsflRight ntlmAdOpt ntlmHide";
		document.getElementById('ntlmAdvOpt').style.display = "none";
		$('#ntlmAdvLin').parent().toggleClass('ntlmTxtAliminus ntlmTxtAli');
	}
}

NTLMSSOSettings.getNTLMDiv = function(id,dataElem)
 {
 	if(ntlmDivLoaded == false)
	{ 	
		$(document).ready(function(){
		     $.get('NTLMSSOSettings.do',function(data,status){ // NO I18N
		      $("#NTLM_POPUP").html(data); // NO I18N
				if(dataElem != undefined ){
					$("#error_status").html(NTLMSSOSettings.constructMessage("error",dataElem)); // NO I18N
					NTLMSSOSettings.slide();}
			  $("#domainName").val($(id).attr("domainName"));
			  $("#domainDispName").val($(id).attr("domainDispName"));
			  $("#computerAccount").val($(id).attr("computerAccount"));
			  $("#dnsServers").val($(id).attr("dnsServers"));
			  $("#dnsSite").val($(id).attr("dnsSite"));
			  DialogBox.open("NTLM_POPUP");	
			  $option = id;
			  ntlmDivLoaded = true;
		    });
		  });
	}
	else
	{
		NTLMSSOSettings.hideStatusDiv();
		$option = id;
		if(dataElem != undefined ){
			$("#error_status").html(NTLMSSOSettings.constructMessage("error",dataElem)); // NO I18N
			NTLMSSOSettings.slide();}
		$("#domainName").val($(id).attr("domainName"));
	    $("#domainDispName").val($(id).attr("domainDispName"));
	    $("#computerAccount").val($(id).attr("computerAccount"));
	    $("#dnsServers").val($(id).attr("dnsServers"));
	    $("#dnsSite").val($(id).attr("dnsSite"));
	    $("#password").val($(id).attr(""));	    
		DialogBox.open("NTLM_POPUP");
	}


 }

NTLMSSOSettings.slide = function()
{
NTLMSSOSettings.hideStatusDiv();
$(document).ready(function(){
    $("#error_status").slideDown("slow",function(){$("#error_status").slideUp("slow")}).delay(5000); // NO I18N
});
}

NTLMSSOSettings.slide_error = function()
{
NTLMSSOSettings.hideStatusDiv();
$(document).ready(function(){
    $("#error_status").slideDown("slow",function(){$("#error_status").slideUp("slow")}).delay(5000); // NO I18N
});
}

NTLMSSOSettings.selectComputerProperties = function(current)
{
	$option = $( current );
	$("#computerAccount").val($option.attr('computerAccount')); //NO I18N
	$("#dnsServers").val($option.attr('dnsServers')); //NO I18N
	$("#dnsSite").val($option.attr('dnsSite')); //NO I18N
	$("#domainName").val($option.attr('SERVER_VALUE')); //NO I18N
	$("#isEnabled").val($option.attr('isEnabled'));
	$("#password").val('');
	if($option.attr('isEnabled')=="")
		$("#enable_status").html(jsRb.ads_admin_product_settings_general_sso_ntlm_not_configured); // NO I18N
	else if($option.attr('isEnabled')=="true")
		$("#enable_status").html('<a href="#" onclick="NTLMSSOSettings_disableNTLM()" class="adsthemecolor">'+jsRb.ads_admin_product_settings_general_sso_ntlm_enable+'</a>'); // NO I18N
	else
		$("#enable_status").html('<a href="#" onclick="NTLMSSOSettings_enableNTLM()" class="adsthemecolor">'+jsRb.ads_admin_product_settings_general_sso_ntlm_disable+'</a>'); // NO I18N

}

NTLMSSOSettings.save = function()
{
		var x;
		
	var check = 1;
	var $computerAccount = $("#computerAccount").val();
	var $dnsServers = $("#dnsServers").val();
	var $dnsSite = $("#dnsSite").val();
	var $isEnabled = $("#isEnabled").val();
	x=document.forms["ssoInputs"]["computerAccount"].value;
//	x = x.trim();
	x = $.trim(x);
	if (x==null || x=="" )
	{
	  check = 0;
	  $("#error_status").html(NTLMSSOSettings.constructMessage("error",jsRb.ads_admin_product_settings_general_sso_ntlm_computer_name_empty)); // NO I18N
	  NTLMSSOSettings.slide_error();
	  return false;
	}
	x = $.trim(x);
	var Accpassword=document.forms["ssoInputs"]["password"].value;
//	x = x.trim();
	if (Accpassword==null || Accpassword=="")
	{
	  check = 0;
	  $("#error_status").html(NTLMSSOSettings.constructMessage("error",jsRb.ads_admin_product_settings_general_sso_ntlm_password_empty)); // NO I18N
	  NTLMSSOSettings.slide_error();
	  return false;
	}	
	if(Accpassword==x)
	{
		 check = 0;
	  $("#error_status").html(NTLMSSOSettings.constructMessage("error",jsRb.ads_admin_product_settings_general_sso_ntlm_password_computer_name_same)); // NO I18N
	  NTLMSSOSettings.slide_error();
	  return false;
	}
	if(check ==0)
	{
		return false;
	}
	$(document).ready(function()
	{
		$("#ntlm_loadingMessage").html(jsRb.ads_common_text_loading); // NO I18N
		NTLMSSOSettings.hideStatusDiv();
		$("#ntlm_loading").show();
		var m = "";
		var x = $("#ssoInputs").serializeArray();
		$.post($("#ssoInputs").attr("action"),$("#ssoInputs").serializeArray(),
		function(data,status){
		  if(data=="success")
		  {
				NTLMSSOSettings.hideStatusDiv();
		  		$("#success_status").html(NTLMSSOSettings.constructMessage("success",jsRb.ads_admin_product_settings_general_sso_ntlm_update_success)); // NO I18N
			    $("#success_status").slideDown("slow",function(){$("#success_status").slideUp("slow")}).delay(5000); // NO I18N
			    $($option).attr("computerAccount",$computerAccount); // NO I18N
					$($option).prev().find("#computerAccountConfigured").val("true");
			    $($option).attr("dnsServers",$dnsServers);	 // NO I18N		    
			    $($option).attr("dnsSite",$dnsSite); // NO I18N
			    $($option).attr("password",""); // NO I18N
			    if($($option).attr("isEnabled")=="")
			    {
			    	$($($option).attr("statusid")).attr("class","ntlmIco ntEnaIco"); // NO I18N
			    	$($($option).attr("statusid")).attr("onClick","NTLMSSOSettings.disable(this)"); // NO I18N
			    	$($($option).attr("statusid")).attr("onmouseover","ToolTip.show(this,jsRb.ads_admin_product_settings_general_sso_click_to_disable)"); // NO I18N
				    $($option).attr("isEnabled","true"); // NO I18N
			    }
		  }
		  else
		  {
				NTLMSSOSettings.hideStatusDiv();
				$("#error_status").html(NTLMSSOSettings.constructMessage("error",data)); // NO I18N
				NTLMSSOSettings.slide();
		  }
		});
	});
}

NTLMSSOSettings.enable = function(id)
{

	$(document).ready(function()
	{
				$(id).removeClass().addClass("ntLoaIco");// NO I18N
				$(id).attr("onClick","");// NO I18N
		$.post("NTLMSSOSettings.do?mTCall=enableSettings","DOMAIN_NAME="+$(id).attr("domainName"), // NO I18N
		function(data,status)
		{
			setTimeout(function () {
		  if(data=="success")
		  {
				$(id).removeClass("ntLoaIco").addClass("ntlmIco").addClass("ntEnaIco");// NO I18N
				$(id).attr("onClick","NTLMSSOSettings.disable(this)");
				$('#'+ToolTip.toolTipId).css('display','none');
				$(id).attr("onmouseover","ToolTip.show(this,jsRb.ads_admin_product_settings_general_sso_click_to_disable)");//NO I18N
		  		$.post( "NTLMSSOSettings.do?mTCall=getSSOInputs","DOMAIN_NAME="+$(id).attr("domainName"), function( data ) {       //NO I18N
 				var domainName= $(id).attr("domainDispName");
				var elem ='#'+domainName;
				var ssoInputs = adsjQuery.parseJSON(data); 
				$(elem).attr('computerAccount',ssoInputs['ACCOUNT_NAME'].split('$')[0]);
				$(elem).attr('dnsServers',ssoInputs['DNS_SERVER']);
				$(elem).attr('dnsSite',ssoInputs['DNS_SITE']);
				});
				$('body').scrollTop(0);
				$('#FORM_STATUS').attr('class','adsfntFamily adsfontSize11 '+'adssuccessStatusMsg');
				$('#FORM_STATUS').attr('style','text-align:center');// NO I18N
				$("#FORM_STATUS div:nth-child(1)").attr('class','adsflLeft '+'adssuccessSmallIcon');//NO I18N
				$("#FORM_STATUS div:nth-child(2)").html(jsRb.ads_admin_product_settings_general_sso_computer_account_configured);
				ADSUtil.slideDown('FORM_STATUS');//NO I18N
				var timer = setInterval(function(){ADSUtil.statusSlideUp('FORM_STATUS');}, 5000);//NO I18N
				$('#FORM_STATUS').attr('TIMER', timer);//NO I18N
		  }
			else
      {
				$(id).attr("onClick","NTLMSSOSettings.enable(this)");
				$(id).removeClass("ntLoaIco").addClass("ntlmIco").addClass("ntConIco");// NO I18N
				var dispElem = id;
				NTLMSSOSettings.getNTLMDiv(dispElem,data);
			}
		},1000);
		});
	});	
}

NTLMSSOSettings.disable = function(id)
{
	$(document).ready(function()
	{
		$(id).attr("onClick","");// NO I18N
		$.post("NTLMSSOSettings.do?mTCall=disableSettings","DOMAIN_NAME="+$(id).attr("domainName"), // NO I18N
		function(data,status)
		{
		  if(data=="success")
		  {
				$(id).removeClass("ntEnaIco").addClass("ntDisIco");// NO I18N
				$(id).attr("onClick","NTLMSSOSettings.enable(this)");
				$('#'+ToolTip.toolTipId).css('display','none');				
				$(id).attr("onmouseover","ToolTip.show(this,jsRb.ads_admin_product_settings_general_sso_click_to_enable)");//NO I18N
		  }
		});
	});	  
}

