/*
 * $Id: Personalize.js,v 1.3 2016/05/04 14:00:33 navin.rathinasamy Exp $
 */
var Personalize=function()
{
}
Personalize.validatePasswd=function()
{
	var oldPasswd=$('#CHANGE_PASSWORD [name="OLD_PASSWORD"]').val();
	var newPasswd=$('#CHANGE_PASSWORD [name="NEW_PASSWORD"]').val();
	var confirmPasswd=$('#CHANGE_PASSWORD [name="CONFIRM_PASSWORD"]').val();

	var pwdStatus= PasswordStrength.test(newPasswd).status;
	if((oldPasswd == '')||(newPasswd =='')||(confirmPasswd ==''))
	{

		DialogBox.alert(jsRb.ads_admin_personalize_alert_entries_notnull);
		return false;
	}
	else
	{
		if(newPasswd == oldPasswd)
		{
			DialogBox.alert(jsRb.ads_admin_personalize_alert_pwd_notsame);
			return false;
		}
		else if(newPasswd != confirmPasswd)
		{
			DialogBox.alert(jsRb.ads_admin_personalize_alert_pwd_same);
			return false;
		}
		else if(jsRb[pwdStatus]==jsRb.ads_common_text_pwd_strength_weak)
		{
			DialogBox.alert(jsRb.ads_admin_personalize_alert_weak_pwd);
			return false;
		}
	}
	return true;
}

Personalize.saveSettings=function()
{	
	$('#ENABLE_REMEMBER_ME').find("input[CHECK_BOX='SERVER_VALUE']").val($('#ENABLE_REMEMBER_ME').hasClass('adscustomUncheckBox')?'false':'true');//NO I18N
	$('#ENABLE_FORGOT_PWD').find("input[CHECK_BOX='SERVER_VALUE']").val($('#ENABLE_FORGOT_PWD').hasClass('adscustomUncheckBox')?'false':'true');//NO I18N
	$('[id="PersonalizeForm"] [name="mTCall"]').val('personalize');
	$('[id="PersonalizeForm"]').submit();
}
Personalize.changePassword=function()
{
	if(Personalize.validatePasswd())
	{
		$('[id="CHANGE_PASSWORD"] [name="mTCall"]').val('changePassword');
		$('[id="CHANGE_PASSWORD"]').submit();
	}
}
Personalize.restoreDefaults=function()
{
	DialogBox.confirm(jsRb.ads_admin_personalize_confirm_restore_defaults,'Personalize.restoreSettings()');//NO I18N
}
Personalize.restoreSettings=function()
{
	$('[id="PersonalizeForm"] [name="mTCall"]').val('restoreDefaults');
	$('[id="PersonalizeForm"]').submit();
}
Personalize.cancel=function()
{
	$('[id="CHANGE_PASSWORD"] [name="mTCall"]').val('unspecified');
	$('[id="CHANGE_PASSWORD"]').submit();
}
Personalize.ajaxChangePassword=function()
{
	var oldPasswd=$('#CHANGE_PASSWORD [name="OLD_PASSWORD"]').val();
	var newPasswd=$('#CHANGE_PASSWORD [name="NEW_PASSWORD"]').val();
	var confirmPasswd=$('#CHANGE_PASSWORD [name="CONFIRM_PASSWORD"]').val();
	var pwdStatus= PasswordStrength.test(newPasswd).status;

	var url = "Personalize.do?selTab=admin&selTile=personalize&mTCall=ajaxChangePassword";//NO I18N
	$('#AJAX_STATUS').attr('class','adsfntFamily adsfontSize11 adswarningStatusMsg');
	$('#AJAX_STATUS').css('top','0px');
	$('#AJAX_STATUS').css('margin-top','0px');
	$('#AJAX_STATUS').css('margin-left','210px');
	$("#AJAX_STATUS div:nth-child(1)").attr('class','adsflLeft adswarningSmallIcon');//NO I18N
	$('#AJAX_STATUS div:nth-child(2)').css('width','300px');

	if((oldPasswd == '')||(newPasswd =='')||(confirmPasswd ==''))
	{
		$("#AJAX_STATUS div:nth-child(2)").html(jsRb.ads_admin_personalize_alert_entries_notnull);
		ADSUtil.slideDown('AJAX_STATUS');//NO I18N	
	}
	else if(newPasswd == oldPasswd)
	{
		$("#AJAX_STATUS div:nth-child(2)").html(jsRb.ads_admin_personalize_alert_pwd_notsame);
		ADSUtil.slideDown('AJAX_STATUS');//NO I18N
	}
	else if(newPasswd != confirmPasswd)
	{
		$("#AJAX_STATUS div:nth-child(2)").html(jsRb.ads_admin_personalize_alert_pwd_same);
		ADSUtil.slideDown('AJAX_STATUS');//NO I18N
	}
	else if(jsRb[pwdStatus]==jsRb.ads_common_text_pwd_strength_weak)
	{
		$("#AJAX_STATUS div:nth-child(2)").html(jsRb.ads_admin_personalize_alert_weak_pwd);
		ADSUtil.slideDown('AJAX_STATUS');//NO I18N
	}
	else
	{
		var params="OLD_PASSWORD="+oldPasswd+"&NEW_PASSWORD="+newPasswd+"&CONFIRM_PASSWORD="+confirmPasswd;//NO I18N
		AjaxAPI.sendRequest({URL:url,PARAMETERS:params,ONSUCCESSFUNC:Personalize.load});
	}
	$('#CHANGE_PASSWORD [name="OLD_PASSWORD"]').val("");
	$('#CHANGE_PASSWORD [name="NEW_PASSWORD"]').val("");
	$('#CHANGE_PASSWORD [name="CONFIRM_PASSWORD"]').val("");
	var timer = setInterval(function(){
		clearInterval(timer);
		ADSUtil.slideUp('AJAX_STATUS');}, 5000);//NO I18N

}
Personalize.load=function(response)
{
	var statusStyle;
	var iconStyle;
	var jsonObject = response.transport;
	var obj = jQuery.parseJSON(jsonObject.responseText);
	for(var key in obj)
	{
		if(key=='sSTATUS')
		{
			statusStyle = "adssuccessStatusMsg";//NO I18N
			iconStyle = "adssuccessSmallIcon";//NO I18N
		}
		else if(key=='eSTATUS')
		{
			statusStyle = "adserrorStatusMsg";//NO I18N
			iconStyle = "adsfailureSmallIcon";//NO I18N
		}
		else if(key=='wSTATUS')
		{
			statusStyle = "adswarningStatusMsg";//NO I18N
			iconStyle = "adswarningSmallIcon";//NO I18N
		}
		$('#AJAX_STATUS').attr('class','adsfntFamily adsfontSize11 '+statusStyle);
		$("#AJAX_STATUS div:nth-child(1)").attr('class','adsflLeft '+iconStyle);//NO I18N
		$("#AJAX_STATUS div:nth-child(2)").html(obj[key]);
	}
	// To Display the status message
	ADSUtil.slideDown('AJAX_STATUS');//NO I18N
	var timer = setInterval(function(){
		clearInterval(timer);
		ADSUtil.slideUp('AJAX_STATUS');}, 5000);//NO I18N

}
