@echo off
rem $Id: backupDB.bat,v 1.4 2016/04/29 08:16:58 arun.ravichandran Exp $
call .\setCommonEnv.bat

set BACKUP_DIR=%1
set BACKUP_FILE=%2
set BACKUP_TYPE=%3 
 	 
if "%1" == "-fb" ( 
set BACKUP_TYPE=-fb
set BACKUP_DIR=%2
set BACKUP_FILE=%3
GOTO DO_BACKUP)else if "%1" == "-d" (
set BACKUP_TYPE=-d
set BACKUP_DIR=%2
set BACKUP_FILE=%3) else (
set BACKUP_TYPE=-d)
if "%1" == "-fb" GOTO DO_BACKUP

if not [%BACKUP_FILE%] == [] goto NOTNULL

:CONTINUE

if [%BACKUP_DIR%] == [] goto DEFAULT_VAL

set CLASS_PATH=%SERVER_HOME%\bin\run.jar;%SERVER_HOME%\AdvMickeyLiteLogging.jar;%SERVER_HOME%\lib\tomcat\commons-logging-api.jar;%SERVER_HOME%\lib\tomcat\tomcat-juli.jar

set CLASS_PATH1=%SERVER_HOME%\lib\ManageEngineADSFramework.jar;%SERVER_HOME%\lib\AdvPersistence.jar;%SERVER_HOME%\lib\json.jar;%SERVER_HOME%\lib\AdventNetNPrevalent.jar;%SERVER_HOME%\lib\ManageEngineADSFStartup.jar

:DO_BACKUP	
"%JAVA%" -Dserver.home="%SERVER_HOME%" -cp "%CLASS_PATH1%" com.manageengine.ads.fw.db.backup.BackupAPI Backup
    if %ERRORLEVEL% EQU 0 goto BACKUP
    if %ERRORLEVEL% EQU 1 goto END
    if %ERRORLEVEL% EQU 2 goto END
    if %ERRORLEVEL% EQU 3 goto END
    set LEVEL=%ERRORLEVEL%

:BACKUP
"%JAVA%" -Dserver.home="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -cp "%CLASS_PATH%" com.adventnet.mfw.BackupDB BACKUPDIR %BACKUP_DIR% BACKUPFILE "%BACKUP_FILE%" BACKUPTYPE %BACKUP_TYPE%

goto END

:DEFAULT_VAL
set BACKUP_DIR="%SERVER_HOME%\Backup"
IF NOT EXIST %BACKUP_DIR% md %BACKUP_DIR%
goto CONTINUE

:NOTNULL
for /f "tokens=1,2 delims=." %%a in ("%BACKUP_FILE%") do set FileName=%%a&set Extension=%%b
if not [%Extension%] == [] (
echo "FileName should not contain Extension."
goto END
) else (
if not %BACKUP_FILE% == %FileName% (
echo "FileName should not contain Extension."
) else (
goto CONTINUE
) )

:END
