@echo off

rem $Id: run.bat,v 1.8 2017/12/08 05:44:15 navin.rathinasamy Exp $

call .\setcommonenv.bat
call .\adsf\ADSChangeJRE.bat

set PATH=%PATH%;"%SERVER_HOME%\lib\native"

SET JAVA="%JAVA_HOME%\bin\java"

set JAVA_OPTS= -Xmx512m -Dcatalina.home="%SERVER_HOME%" -Dserver.home="%SERVER_HOME%" -Djava.util.logging.manager="org.apache.juli.ClassLoaderLogManager" -Djava.util.logging.config.file="%SERVER_HOME%\conf\logging.properties" -Dlog.dir="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -Djava.library.path="%SERVER_HOME%\lib\native" -Duser.language="en" -Dfile.encoding="utf8" -Dorg.apache.catalina.SESSION_COOKIE_NAME=JSESSIONIDADS -Dhttps.protocols=TLSv1 -Djava.net.preferIPv4Stack=true  


set CLASS_PATH=%SERVER_HOME%\lib;%SERVER_HOME%\resources;%SERVER_HOME%\bin\run.jar;%SERVER_HOME%\lib\tomcat\commons-logging-api.jar;%JAVA_HOME%\lib\tools.jar;%SERVER_HOME%\lib\AdventNetNPrevalent.jar;%SERVER_HOME%\lib\AdventNetUpdateManagerInstaller.jar;%SERVER_HOME%\lib\tomcat\tomcat-juli.jar;%SERVER_HOME%\lib\tomcat\jasper-jdt.jar

echo ===============================================================================
echo .
echo .
echo   SERVER_HOME: %SERVER_HOME%
echo .
echo   JAVA: %JAVA%
echo .
echo   JAVA_OPTS: %JAVA_OPTS%
echo .
echo .
echo ===============================================================================
echo .


 
:RESTART
%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
IF ERRORLEVEL 0 IF NOT ERRORLEVEL 1 GOTO END_NO_PAUSE
IF ERRORLEVEL 10 GOTO RESTART

:END
if "%NOPAUSE%" == "" pause

:END_NO_PAUSE


