/*
 * $Id$
 */


window.JumpTo = function(){
}

var showStatus = new Object();
var parentAppName=null;
var adsSecurityToken = null ;
window.JumpTo.testConnection = function(url, productName, isIntegrated, initiator) 
{
	adsjQuery("#JUMPTO_STATUS").hide();//No I18N
	var currentUrl = window.location.protocol+'//'+window.location.hostname+':'+window.location.port;
	if(url.indexOf(currentUrl)==-1) 
	{
		var actionURL = "JumpToAction.do?mTCall=getServerStatus"; //No I18N
		params = "URL="+url+"&PRODUCT_NAME="+productName;//No I18N
		if(initiator!=undefined)
		{
			params = params + "&initiator="+initiator;//No I18N
		}
		AjaxAPI.sendRequest({URL:actionURL, PARAMETERS:params, ONSUCCESSFUNC:window.JumpTo.slideDownProductStatus, PRODUCT_NAME:productName});
	}
}

window.JumpTo.slideDownProductStatus = function(response, reqOptions)
{
	var productName = reqOptions["PRODUCT_NAME"];
	//This has been included to prevent script error when json is not returned after session invalidate
	try
	{
		var productStatus = adsjQuery.parseJSON(response.transport.responseText);
		AppsPane.setReloadFlag(productName,"false");//NO I18N
		if(productStatus["SERVER_STATUS_MSG"] != undefined) {
			adsjQuery("#JUMPTO_STATUS").removeClass("adssuccessStatusMsg adserrorStatusMsg adswarningStatusMsg").addClass(productStatus["SERVER_STATUS"]); //No I18N
			adsjQuery("#JUMPTO_STATUS_ICON").removeClass("adssuccessSmallIcon adsfailureSmallIcon adswarningSmallIcon").addClass(productStatus["SERVER_STATUS_ICON"]); //No I18N
			adsjQuery("#JUMPTO_STATUS_MSG").html(productStatus["SERVER_STATUS_MSG"]);//No I18N
			// Need to reload the URL if the product is down
			if(productStatus["SERVER_STATUS"] == "adserrorStatusMsg") {
				AppsPane.setReloadFlag(productName,"true");//NO I18N
				showStatus[productName]="true";
			}
			if(showStatus[productName] == undefined || showStatus[productName] == "true") {
				ADSUtil.slideDown("JUMPTO_STATUS"); //No I18N
			}
		}
		showStatus[productName]="false";	
	}
	catch(e)
	{	
		var param=[];
		param[0]='./AppsHome.do?LogoutFromSSO=true';
		window.CustomSSO.setCookie('APPSPaneLoggedOut','true');// No I18n 
		window.WindowHandler.sendRequest(parent.parent,"logOutAppsPane",JSON.stringify(param)); // No I18n
	}
}

window.JumpTo.loadProductStatus = function()
{
	var url = "JumpToAction.do?mTCall=checkServerAvailability"; //No I18N
	AjaxAPI.sendRequest({URL:url, ONSUCCESSFUNC:window.JumpTo.showProductStatus}); 
}

var jumpToObject=null; // Used in Integration Settings AD360
window.JumpTo.showProductStatus = function(response, reqOptions)
{
	jumpToObject = adsjQuery.parseJSON(response.transport.responseText); 
	for(var i=0; i<jumpToObject.length; i++)
	{
		var obj = jumpToObject[i];
		adsjQuery("#"+obj["PRODUCT_ID"]+"_STATUS").removeClass("adsServerDown adsServerUp").addClass(obj["SERVER_STATUS"]); //No I18N
		adsjQuery("#"+obj["PRODUCT_ID"]+"_CLICK").attr('PRODUCT_URL', obj["LINK"]); //No I18N
		adsjQuery("#"+obj["PRODUCT_ID"]+"_CLICK").attr('TARGET', obj["TARGET"]); //No I18N
	}
}

window.JumpTo.loadURL = function(th, url, productName, target, isIntegrated,isLoadURL,isCustomApp)
{
	url = (url !=null ? url : th.getAttribute("PRODUCT_URL"));	
	target = (target !=null ? target : th.getAttribute("TARGET"));
	productName = (productName !=null ? productName : th.getAttribute("PRODUCT_NAME"));
	isIntegrated = (isIntegrated !=null ? isIntegrated : th.getAttribute("IS_INTEGRATED"));
	isLoadURL=(isLoadURL !=null ? isLoadURL : th.getAttribute("LOAD_URL"));
	isCustomApp=(isCustomApp !=null ? isCustomApp :th.getAttribute("IS_CUSTOM_APP"));//No I18N

	if( self!=top && ( isIntegrated == 'true' || isCustomApp!='true' ))
	{
		// Need to send request to the Apps Pane to take necessary Action
		var params=[];
		params[0]=url;
		params[1]=productName;
		params[2]=isIntegrated;
		params[3]=(isLoadURL==null)?"true":isLoadURL;
		params[4]=isCustomApp;
		params[5]="jumpTo";
		window.WindowHandler.sendRequest(parent,"JumpToToggleApp",JSON.stringify(params)); // No I18n
	}
	else // Normal Flow
	{
		window.open(url, target);
	}
}


/*
 * Toggle Apps i.e loading the app's iframe
 * isIntegrated - "true" - Should be string not boolean
 * loadURLOnEveryClick - "false" - Should be string not boolean
 */
window.JumpTo.toggleApp = function(url, productName, isIntegrated, loadURLOnEveryClick,isCustomApp, initiator)
{
	if(adsSecurityToken != null)
	{
		url=JumpTo.appendParam(url, 'ADS_SECURITY_TOKEN', adsSecurityToken); // No I18n
	}

	if(self!=top) // It is inside Apps Pane
	{
		// Need to send request to the Apps Pane to take necessary Action
		var params=[];
		params[0]=url;
		params[1]=productName;
		params[2]=isIntegrated;
		params[3]=loadURLOnEveryClick;
		params[4]=isCustomApp;
		params[5]=initiator;
		window.WindowHandler.sendRequest(parent,"JumpToToggleApp",JSON.stringify(params)); // No I18n
	}
	else
	{
		window.JumpTo.testConnection(url, productName, isIntegrated, initiator);

		//Creating new Application Frame if not present
		if(isIntegrated == "true" || isIntegrated == true)
		{
		    	// If the product is not integrated in Parent App it will be displayed in new window
		    	if(!window.AppsPane.isIntegrated(productName))
			{
			  window.open(url);
			  return;
			}
		    	
			if(!adsjQuery("#APPS_FRAMES div[PRODUCT_NAME='"+productName+"']").length)//No I18N
			{
				//If the product is integrated. Create New Application Frame and load the product	

				//Cloning the existing Frame Object
				var copyFrame = adsjQuery("#APPS_FRAMES").find(">:first-child").clone();//No I18N
				copyFrame.attr("PRODUCT_NAME", productName);//No I18N
				copyFrame.css("visibility", "hidden");
				copyFrame.find("iframe").attr("name","");//No I18N 
				copyFrame.find("iframe").attr("src", url); //No I18N
				copyFrame.find("iframe").attr("PRODUCT_NAME", productName); //No I18N
				//Appending the newly created frame to the component
				adsjQuery("#APPS_FRAMES").append(copyFrame);//No I18N
			}
		}
		else //If the product is not integrated. Redirect to AD360's Admin Page
		{
		    	// If custom app then need to display in new window
		    	if(isCustomApp=="true" || isCustomApp==true)
		    	{
		    	    window.open(url);
		    	    return;
		    	}
		    	
			productName=parentAppName; //No I18N
			if(!adsjQuery("#APPS_FRAMES div[PRODUCT_NAME='"+productName+"']").length)//No I18N
			{
				//Cloning the existing Frame Object
				var copyFrame = adsjQuery("#APPS_FRAMES").find(">:first-child").clone();//No I18n
				copyFrame.attr("PRODUCT_NAME", productName);//No I18N
				copyFrame.css("visibility", "hidden");
				copyFrame.find("iframe").attr("name","");//No I18N 
				copyFrame.find("iframe").attr("src", url); //No I18N
				copyFrame.find("iframe").attr("PRODUCT_NAME", productName); //No I18N
				//Appending the newly created frame to the component
				adsjQuery("#APPS_FRAMES").append(copyFrame);//No I18N
			}
			else
			{
				adsjQuery("#APPS_FRAMES").find("div[PRODUCT_NAME='"+productName+"'] iframe").attr("src", url);//No I18N
			}

		}

		//Toggle the App Icon
		adsjQuery(".appCurrentState").each(function()//No I18N
		{
			var clName = "appCurrentState" + ((adsjQuery(this).attr("PRODUCT_NAME") == productName) ? " active" : "");//No I18N
			adsjQuery(this).attr("class", clName);//No I18N
		});
		
		//Toggle the App Frame
		adsjQuery("#APPS_FRAMES div").each(function() //No I18N
				{
					adsjQuery(this).css("display", (adsjQuery(this).attr("PRODUCT_NAME") == productName) ? "block" : "none");//No I18N
					window.WindowHandler.sendRequest(parent,"windowResize",'[]'); // No I18n 
					//Loading URL on Every Click
					if(adsjQuery(this).attr("PRODUCT_NAME") == productName && loadURLOnEveryClick != "false")
		{
			adsjQuery(this).find("iframe").attr("src", url);//No I18N
		}
				});
	}
}
/* to set the parentAppName*/
window.JumpTo.setParentApp=function(productName)
{
	parentAppName=productName;
}
JumpTo.appendParam = function(url, paramName, paramValue)
{
	var emberUrl = url.split('#');
	if(emberUrl.length == 2) // For ember url we have to add params before '#' , it will not consoder params after '#'
	{
		var arr = emberUrl[0].split('?'); //If enber url has parameters in it 
		if(arr.length == 1) {
			return emberUrl[0] + '?' + paramName + '=' + paramValue + '#' + emberUrl[1];
		}
		else if(arr.length == 2) {
			return emberUrl[0] + '&' + paramName + '=' + paramValue + '#' + emberUrl[1];
		}
	}
	else
	{
		var arr = url.split('?');
		if(arr.length == 1) {
			return url + '?' + paramName + '=' + paramValue;
		}
		else if(arr.length == 2) {
			return url + '&' + paramName + '=' + paramValue;
		}
	}
}
