/*
 * $Id: AppsPane.js,v 1.16 2016/02/15 09:25:49 ramya.ravi Exp $
 */

var AppsPane = function(){
}

var currentPane=null;
var loadURL = new Object();
//Load the product in frame
AppsPane.loadApp = function(th)
{
	var url = th.getAttribute("PRODUCT_URL");	
	var productName = th.getAttribute("PRODUCT_NAME");
	currentPane=productName;
	var isIntegrated = th.getAttribute("IS_INTEGRATED");
	//Load the url on every link
	if(loadURL[productName] == undefined) { 
		loadURL[productName] = "false";//NO I18N
	}
	JumpTo.toggleApp(url, productName, isIntegrated, loadURL[productName]);
}

//Set Reload flag for each product
AppsPane.setReloadFlag = function(productName,value) {
	loadURL[productName] = value;//NO I18N
}

//Toggle Apps Pane Div
AppsPane.togglePane = function(th)
{
	$("#APP_ICONS").toggle()
	th.className = "adslhs" + (th.className == "adslhsHide" ? "Show" : "Hide");
}

//Reloading the Apps Pane will update the App details
AppsPane.reload = function()
{
	var url = "Home.do";//NO I18N
	var params = "RELOAD=true&refreshSettings=true";//NO I18N
	AjaxAPI.sendRequest({URL:url, PARAMETERS:params, ONSUCCESSFUNC:AppsPane.reloadPane}); 
}
AppsPane.reloadPane = function(response, reqOptions)
{
	//Loading the Apps Pane content
	$('#APPS_PANE').html(response.transport.responseText);//No I18N 

	//Removing the iFrames to update the changes
	$("#APPS_FRAMES div").each(function()
 	{
		if($(this).css("display") == "none")
		{
			$(this).remove();
		}
	});
}
//Function that resize the AppsPane on window resize.
AppsPane.windowResize = function()
{
	var frameName;
	$("#APPS_FRAMES").find("div").each(function(){
			if($(this).css('display')=='block'){
				frameName=$(this).attr('PRODUCT_NAME');
			}
		});
	if(!!navigator.userAgent.match(/Trident\/7\./))	{
		$("#APP_ICONS").css('height',document.documentElement.clientHeight-10);
		$("#APPS_FRAME").css('height',document.documentElement.clientHeight-10);
		$('iframe[ID="APPS_FRAME"][PRODUCT_NAME="'+frameName+'"]').css('height',document.documentElement.clientHeight-10);

	}
	else if ($.browser.mozilla || $.browser.chrome ){
		$("#APP_ICONS").css('height',document.body.clientHeight-10);
		$("#APPS_FRAME").css('height',document.body.clientHeight);
		$('iframe[ID="APPS_FRAME"][PRODUCT_NAME="'+frameName+'"]').css('height',document.body.clientHeight);
	}
	else if ($.browser.msie && parseInt($.browser.version)==7 && !document.documentMode){
		document.getElementById("APP_ICONS").style.height=document.body.clientHeight;
		document.getElementById("APPS_FRAME").style.height=document.body.clientHeight;
	}
	else{
		$("#APP_ICONS").css('height',document.documentElement.clientHeight-10);
		$("#APPS_FRAME").css('height',document.documentElement.clientHeight-10);
		$('iframe[ID="APPS_FRAME"][PRODUCT_NAME="'+frameName+'"]').css('height',document.documentElement.clientHeight-10);
	}	
}

AppsPane.showFrame=function(frameName)
{
  $("#APPS_FRAMES div[PRODUCT_NAME='"+frameName+"']").css('visibility','visible');
  if(currentPane==frameName)
  {
   $("#APPS_FRAMES div[PRODUCT_NAME='"+frameName+"']").css('display','block');
   	AppsPane.windowResize();
  }
}

AppsPane.logout=function()
{
  var isAppsPaneloggedOut=window.CustomSSO.getCookie('APPSPaneLoggedOut'); // No I18n
  if(isAppsPaneloggedOut!=undefined && isAppsPaneloggedOut=='true')
  {
   window.CustomSSO.setCookie('APPSPaneLoggedOut',''); // No I18n 
   window.location.href='/Home.do'; // No I18n
  }
  else
  {
   window.location.href='Logout.do'; // No I18n
  }
}

window.RequestConstants["showFrame"]=AppsPane.showFrame;
window.RequestConstants["reloadAppsPane"]=AppsPane.reload;
window.RequestConstants["logOutAppsPane"]=AppsPane.logout;
window.RequestConstants["windowResize"]=AppsPane.windowResize;
