/**
 * $Id: License.js,v 1.10 2015/02/02 12:58:05 manju.r Exp $
 */

var License = function(){
}

$("#LICENSE_FILE").focus();//NO I18N

/*Focus to elements other than the License box on tab key press restricted.*/
$(document.body).bind("keydown",function(event)//NO I18N
{
	var ele=event.srcElement?event.srcElement:event.target;
	if($("#UPGRADE_LICENSE",window.parent.document).is(":visible"))
	{
		if(ele.id == "LBTN_CANCEL")
		{
			if(event.keyCode == 9) 
			{
				$("#GET_QUOTE").focus();//NO I18N
				return false;
			}
		}
	}
});

License.validate = function()
{
    var file = $('#LICENSE_FILE').attr('value').toLowerCase();
    if(file.length == 0)
    {
      	DialogBox.alert(jsRb.ads_header_tab_component_license_file_not_found);
        return false;
    }
    else if(file.indexOf("xml") == -1)
    {
      	DialogBox.alert(jsRb.ads_header_tab_component_license_invalid_file_format);
        return false;
    }
    return true;
}

License.showMore = function(eleId)
{	
	$('[id="popupID_'+eleId+'"]').css('margin-left',parseInt($('[id="popupMore_'+eleId+'"]').position().left +$('[id="popupMore_'+eleId+'"]').width()-25));
	if($('[id="popupID_'+eleId+'"]').length>0)
	{
		$('[id="popupID_'+eleId+'"]').css('display',$('[id="popupID_'+eleId+'"]').css('display')=='block'?'none':'block');}//No I18N
	else
	{
		$('[id="popupDown_'+eleId+'"]').css('margin-left',parseInt($('[id="popupMore_'+eleId+'"]').position().left +$('[id="popupMore_'+eleId+'"]').width()-25));
	}
	$('[id="popupDown_'+eleId+'"]').css('display',$('[id="popupDown_'+eleId+'"]').css('display')=='block'?'none':'block');//No I18N
}
License.showDetails = function()
{       
	var reason="";
	var licenseStatus=jQuery.parseJSON($('#NOT_APPLIED').html());//NO I18N
	for(var i=0;i<licenseStatus.length;i++)
	{
		var stat=licenseStatus[i];
		for(var key in stat)
		{
			reason = reason + "<div><table><tr class='adsfontSize11 adsgrayFont adsfntFamily'><td valign=top><div style='float:left;margin-top:5px;margin-right:5px;' class='adsblKBullet'></div></td><td><div style='float:left'> "+key+" - "+ stat[key]+"</div></td></tr></table></div>";
		}
	}	
	$('#POPUP_CONTENT').html("<div style=\'padding-bottom:5px;\'><b>"+jsRb.ads_admin_integration_settings_popup_head_reason+" :</b></div>"+reason);
	DialogBox.open('POPUP_BOX');
}

var jumpToObject=null;
License.showStatus = function(response)
{	
	jumpToObject = jQuery.parseJSON(response.transport.responseText); 
	for(var key in jumpToObject)
	{
		var obj=jumpToObject[key];
		if(obj.hasOwnProperty("DISPLAY_DETAILS"))
		{ 
			var displayDetails = obj["DISPLAY_DETAILS"];
			var count=1;
			while(true)
			{
				if(displayDetails.hasOwnProperty(count))
				{	
					for(var processKey in displayDetails[count])
					{
    						$('[id="popupID_'+key+'"]').append('<div class="adsLicAvaPopRow"><div class="adsLicAvaPopLeft">'+processKey+':</div><div class="adsLicAvaPopRight"> '+displayDetails[count][processKey]+'</div></div>');//NO I18N
					}
				}
				else{break;}
				count++;
			}
			$('[id="'+key+'_STATUS"]').removeClass("adsServerUp adsServerDown").addClass("adsServerUp");//NO I18N
		}
		else if(obj.hasOwnProperty("STATUS"))	
		{
			$('[id="popupDown_'+key+'"]').empty();//NO I18N
			$('[id="popupDown_'+key+'"]').append('<div class="adsLicAvaPopConDown" ><div class="adsLicAvaPopArrDown"></div><div class="adsLicAvaPopRow"><div>'+obj["STATUS"]+'</div></div></div>');//NO I18N
			if(obj.hasOwnProperty("RUNNING_STATUS") && obj["RUNNING_STATUS"])
			{
				$('[id="'+key+'_STATUS"]').removeClass("adsServerUp adsServerDown").addClass("adsServerUp");//NO I18N
			}
			else
			{
				$('[id="'+key+'_STATUS"]').removeClass("adsServerUp adsServerDown").addClass("adsServerDown");//NO I18N
			}
		}
		else
		{
			$('[id="DISABLE_'+key+'"]').css('margin','0 166px 0 0');//NO I18N
			$('[id="DISABLE_'+key+'"]').removeClass("adsLicEnaTic");//NO I18N
			$('[id="DISABLE_'+key+'"]').empty();//NO I18N
			$('[id="DISABLE_'+key+'"]').append('<b style="font-size:15px;">-</b>');//NO I18N
			$('[id="buyNow_'+key+'"]').empty();//NO I18N
			$('[id="buyNow_'+key+'"]').append('<a style="opacity:0.7;text-decoration:underline;" target="_blank" href="http://www.manageengine.com/active-directory-360/get-quote.html">'+jsRb.ads_header_tab_component_license_buy_now+'</a>');//NO I18N

		}
		$('[id="popupMore_'+key+'"]').css('display','block');	//NO I18N
	}
}

//Getting the icon status
var url="License.do?mTCall=loadLicenseStatus"; //No I18N
AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:License.showStatus});
