/*
 * $Id: EmployeeSearch.js,v 1.9 2015/08/26 14:15:03 navin.rathinasamy Exp $
 */

function docid(id){return document.getElementById(id);};

function sHSP(selId){docid(selId).style.display = (docid(selId).style.display=="none" ? "block" : "none");}

function showsHSP(selId){docid(selId).style.display = "block";}

function hidesHSP(selId){docid(selId).style.display = "none";}


function sHSearchFilter(selId)
{
	docid(selId+"_arrow").className = (docid(selId+"_arrow").className.indexOf("searchRightArrow") != -1 ? "adsflLeft adssearchDownArrow" : "adsflLeft adssearchRightArrow");
	sHSP(selId+"_SEARCH_BY");//NO I18N
}

function selectAllFields(selId)
{
	var tabs = new Array("user", "contact", "group");
	changeESearchFilter('SEARCH_BY', selId);//No I18N
	for(var i=0; i<tabs.length; i++)
	{
		if(eval(docid(tabs[i]+"_arrow")))
		{
			docid(tabs[i]+"_arrow").className = "adsflLeft adssearchRightArrow";
			docid(tabs[i]+"_SEARCH_BY").style.display='none';
		}
	}
}

function changeESearchFilter(frm, selId)
{
	
	var types = docid(frm).getElementsByTagName('a');
	
	for(var i=0; i<types.length; i++)
	{
		
		if(types[i].id != selId)
		{
			docid(types[i].id+"_arrow").className = "adsblockElement adsflLeft adstickIconNone";
		}
		else
		{
			docid(types[i].id+"_arrow").className = "adsblockElement adsflLeft adstickIcon";
		}
	}
	if(selId != "ALL_FIELDS" && docid(selId).parentNode.id !="SEARCH_TYPE")
	{docid('ALL_FIELDS_arrow').className = "adsblockElement adsflLeft adstickIconNone";}
}

function searchEmp(selId)
{
	var val = $.trim(docid(selId).value);
	var defText = docid('DEFAULT_TEXT').value;	//No I18N
	if(val == '' || defText == val)
	{
		DialogBox.alert(jsRb.ads_home_employee_search_search_string_not_null);	
	}
	else
	{
		var searchBy = getSearchOpts("SEARCH_BY");//NO I18N
		var searchType = getSearchOpts("SEARCH_TYPE");//NO I18N
		var params = 'searchString='+encodeURIComponent(val)+'&searchBy='+encodeURIComponent(searchBy)+'&searchType='+encodeURIComponent(searchType);//NO I18N
		CreateAndSubmitForm('EmployeeSearch.do?actionId=Search', window.name, params);//NO I18N
	}
}


function getSearchOpts(container)
{
	var fields 	= docid(container).getElementsByTagName("a");
	var selFields	="";
	for(var i=0; i<fields.length; i++)
	{
		var fId = fields[i].id;
		var clN	= docid(fId+"_arrow").className;		//No I18N

		if(clN.indexOf("tickIcon") !=-1 && clN.indexOf("tickIconNone") == -1)
		{
			selFields += (selFields !="" ? ";;;"+fId : fId);
		}
	}
	return selFields;
}


function moreDetails(selId, obj)
{
	$('#POPUP_CONTENT').html("");
	var isPhotoDisabled = docid('PHOTO_DISABLED').value	//No I18N
	var table = docid('EMP_DETAILS');			//No I18N
	var chRows = table.rows;  
	
	for(var i=1; i<chRows.length; i++){table.deleteRow(i);}
	
	var newRow = table.insertRow(chRows.length);  
	var td = newRow.insertCell(0);  
	td.vAlign="top";//NO I18N

	if(isPhotoDisabled != "1")
	{
	docid('USER_PHOTO_IN_MORE').innerHTML="";
	docid('USER_PHOTO_IN_MORE').className=(obj == "group" ? "adsgroupavatar adsflLeft" : "adsavatar adsflLeft");
	var objGuid = (selId.split("_RESULT_TABLE"))[0];
	var photoId = "USER_PHOTO_"+objGuid;//No I18N 
	if(eval(docid(photoId)))
	{
		var img = docid(photoId).cloneNode(true);
		docid('USER_PHOTO_IN_MORE').appendChild(img);		//No I18N
		docid('USER_PHOTO_IN_MORE').className="adsflLeft";
		}
	}
	else
	{
		if(eval(docid('USER_PHOTO_IN_MORE'))){docid('USER_PHOTO_IN_MORE').parentNode.removeChild(docid('USER_PHOTO_IN_MORE'));}
	}

	var parRows = docid(selId).rows;
	/*To calculate the total number of fields.*/	
	var rowLen=parRows.length;
	var lastCell = parRows[rowLen-1].cells;
	var divAt = (Math.round(((rowLen-1)*3+(lastCell.length))/2));

	var elems = 1;
	for(var i=0; i<parRows.length; i++)
	{
		var parCells = parRows[i].cells;
		for(var j=0; j<parCells.length; j++)
		{
			if(elems > divAt){var td = newRow.insertCell(1); td.vAlign="top"; elems=1;}

			var divs = parCells[j].getElementsByTagName("div");
			var col = divs[1].innerHTML;
			var val = divs[2].title;	
			col = col.replace(/&nbsp;/g," "); 
			var disVal = (val.length > 28 ? val.substring(0, 28)+"..." : val);

			var newEle = docid('DEFAULT_INFO_DIV').cloneNode(true);		//No I18N
			newEle.id="";
			newEle.style.display="";
			newEle.getElementsByTagName('font')[0].innerHTML = col;
			newEle.getElementsByTagName('font')[0].parentNode.title = CommonUtil.decodeHtmlEntities(col);
			newEle.getElementsByTagName('font')[1].innerHTML = "&nbsp;"+CommonUtil.encodeHtmlEntities(disVal);//NO I18N
			newEle.getElementsByTagName('font')[1].parentNode.title = val;//NO I18N

			td.appendChild(newEle);
			elems++;
		}
	}
	$('#POPUP_BOX').css('width','800px');
	$('#POPUP_CONTENT').html($('#MORE_DETAILS').html()); 	//No I18N
	window.scrollTo(0,0);
	DialogBox.open('POPUP_BOX',true,'',jsRb.ads_home_employee_search_employee_details);
}

function retainFilters()
{
	if(!eval(docid('SEARCH_BOX'))){setTimeout("retainFilters()", 100);return false;}
	
	docid('SEARCH_STRING').value=searchValue;		//No I18N
	docid('SEARCH_STRING').style.color="#000000";
	changeESearchFilter('SEARCH_TYPE', searchType);//No I18N

	if(searchBy == "ALL_FIELDS"){selectAllFields("ALL_FIELDS");}
	else
	{
		var selFields = searchBy.split(";;;");
		for(var i=0; i<selFields.length; i++)
		{
			var field = selFields[i];
			var obj = field.split("_")[0];
			changeESearchFilter(obj+"_SEARCH_BY", field);//No I18N	
		}
	}
}


//To get the target
function getTarget(e){var target;if (!e){var e = window.event;}
if (e.target){target = e.target;}else if (e.srcElement){target = e.srcElement;}
if (target.nodeType == 3){target = target.parentNode;}return target;}
//Ending
//Text Field Focus
function textFieldFocus(e,txtValue)
{
var src = getTarget(e);
src.style.color="#000";
if (src.value == txtValue)
{
src.value = "";
}
docid("SEARCH_CRI").style.display = "none";
}
//Ending
function defaultTxt(e, val)
{
var src = getTarget(e);
if(src.value =="")
{
src.style.color="#CCC";
src.value = val;
}
} 

function CreateAndSubmitForm(url, windowname, querystring)
{
	var formObj;
	/*if (window.ActiveXObject) //IE
	{
		formObj = document.createElement("<form action=\'" + url + "\' method=\'POST\' target=\'" +windowname+ "\' >");	
	}
	else
	{*/
		formObj = document.createElement('form');
		formObj.setAttribute('action',url);
		if(windowname != null){formObj.setAttribute('target',windowname)};
		formObj.setAttribute('method','POST');
		formObj.setAttribute('enctype','application/x-www-form-urlencoded;charset=UTF-8');
	//}
	document.body.appendChild(formObj);

	var hiddenParams = querystring.split("&");
	for(var i=0; i<hiddenParams.length; i++)
	{
		var paramName = hiddenParams[i].substring(0, hiddenParams[i].indexOf("="));
		var paramValue = hiddenParams[i].substring(hiddenParams[i].indexOf("=")+1, hiddenParams[i].length);

		var hiddenObj;
		/*if (window.ActiveXObject) //IE
		{
			hiddenObj = document.createElement('<input type="hidden" name="' + paramName + '" value="' + decodeURIComponent(paramValue) + '" >');
		}
		else
		{*/
			hiddenObj = document.createElement('input');
			hiddenObj.setAttribute('type','hidden');
			hiddenObj.setAttribute('name',paramName);
			hiddenObj.setAttribute('value',decodeURIComponent(paramValue));
		//}
		formObj.appendChild(hiddenObj);
	}
	formObj.submit();
}

function setClientButtons(dis){}

function submitURL(url)
{
	url += '&navigate=true';//No I18N
	var accessParam = 'searchString='+encodeURIComponent(docid('SEARCH_VALUE').value);	//No I18N
	
	var selectedOUs = '';
	var params = '';
	if(eval(window.frames['resultFrame'])) { selectedOUs = encodeURIComponent(window.frames['resultFrame'].getSelectedValues())};
	if(accessParam!=undefined || accessParam!='') {params = '&'+accessParam;}	
	CreateAndSubmitForm(url,window.name,'selOUs='+selectedOUs+params); //NO I18N	
	
}
function submitRange(url)
{
	if(url.indexOf("RANGE") !=-1){
	submitURL(url);}
}
