/*
 * $Id: environment.js,v 1.2 2016/07/15 09:55:48 gokulkumar.v Exp $
*/
/* jshint node: true */

module.exports = function(environment) {
  var ENV = {
    modulePrefix: 'webclient', //NO I18N
    podModulePrefix: 'webclient/pods', //NO I18N
    environment: environment,
   baseURL: '/webclient/', //NO I18N
    locationType: 'hash',//NO I18N
    EmberENV: {
      FEATURES: {
        // Here you can enable experimental features on an ember canary build
        // e.g. 'with-controller': true
      }
    },

    APP: {
      // Here you can pass flags/options to your application instance
      // when it is created
    }
  };

  if (environment === 'development') {
    // ENV.APP.LOG_RESOLVER = true;
    // ENV.APP.LOG_ACTIVE_GENERATION = true;
    // ENV.APP.LOG_TRANSITIONS = true;
    // ENV.APP.LOG_TRANSITIONS_INTERNAL = true;
    // ENV.APP.LOG_VIEW_LOOKUPS = true;
  }

  if (environment === 'test') {
    // Testem prefers this...
    ENV.baseURL = '/';
    ENV.locationType = 'none'; //NO I18N

    // keep test console output quieter
    ENV.APP.LOG_ACTIVE_GENERATION = false;
    ENV.APP.LOG_VIEW_LOOKUPS = false;

    ENV.APP.rootElement = '#ember-testing'; //NO I18N
  }
 
  if (environment === 'production') {

  }

  return ENV;
};
